This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 832602 - "error in chunked encoding" when trying to extract (tar-out) a truncated ISO image
"error in chunked encoding" when trying to extract (tar-out) a truncated ISO ...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 18:03 EDT by Richard W.M. Jones
Modified: 2014-09-07 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-06-15 18:03:38 EDT
Description of problem:

(Reported by Jeff Peeler)

Take a regular ISO file, truncate it down to ~10 MB, and try
to extract it:

  $ guestfish -a truncated.iso -m /dev/sda1 tar-out / /tmp/iso-content.tar
  [...]
  error in chunked encoding

Also the appliance crashes.

The real error is a kernel error, something like:

  [  109.397757] attempt to access beyond end of device
  [  109.403722] vda: rw=0, want=580844, limit=16512

The real error is not communicated back to the user, and the appliance
crashes making further commands impossible.

Version-Release number of selected component (if applicable):

1.14.8, but likely to affect recent versions

Note You need to log in before you can comment on or make changes to this bug.